#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

services:
  _defaults:
    autowire: true
  XC\NlTranslation\LifetimeHook\Enable:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-NlTranslation, type: enable, method: onEnable}
  XC\NlTranslation\LifetimeHook\Disable:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-NlTranslation, type: disable, method: onDisable}
  XC\NlTranslation\LifetimeHook\Upgrade\UpgradeTo550build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-NlTranslation, type: upgrade, method: onUpgrade, version: 5.5.0.0}
